Skip to main content
GET
/
connected-accounts
/
{user_id}
List connected accounts
curl --request GET \
  --url https://api.stack-auth.com/api/v1/connected-accounts/{user_id}
{
  "items": [
    {
      "user_id": "3241a285-8329-4d69-8f3d-316e08cf140c",
      "provider": "google",
      "provider_account_id": "google-account-id-12345"
    }
  ],
  "pagination": {
    "next_cursor": "b3d396b8-c574-4c80-97b3-50031675ceb2"
  }
}

Documentation Index

Fetch the complete documentation index at: https://stackauth-e0affa27-chore-move-mcp-to-a-sep-app.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

user_id
string

The ID of the user, or the special value me for the currently authenticated user

Example:

"3241a285-8329-4d69-8f3d-316e08cf140c"

Response

200 - application/json

Successful response

items
object[]
required
pagination
object